/*CSS Reset*/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: 'Open Sans', sans-serif;
}

nav {
	/*Creates space from between the ul tag and the nav element*/
	/*properties that make up the "padding" property*/
	/*padding-top: 0.8rem;
	padding-right: 0.8rem;
	padding-bottom: 0.8rem;
	padding-left: 0.8rem;*/
	padding: 0.8rem;
	/*creates space between the nav and the intro section*/
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
	list-style-type: none;
}

/*Multiple Selector*/
nav .nav, nav .nav-logo {
	/*margin-top: 0.5rem;
	margin-right: 0.5rem;
	margin-bottom: 0.5rem;
	margin-left: 0.5rem;*/
	margin: 0.5rem;
	/*changes elements to inline elements*/
	/*The value "inline" makes all the list items appear beside one another.*/
	display: inline;
}

#intro {
	/*creates space between the contents of the intro section and the its border*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
}

.header {
	/*best used when horizontally aligning text instead of using margin and padding*/
	text-align: center;
}

#intro h2, #intro p {
	/*creates space between the contents of the intro section*/
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*changes the thickness of text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	/*creates space between the button text and the border*/
	padding: 1rem;
}

#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
}

#succeed-info h2 {
	/*creates space between the header and the card section*/
	margin-bottom: 1rem;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

#succeed-info .card {
	/*allows the cards to appear beside each other*/
	display: inline-block;
	/*aligns elements with the tallest element in line*/
	/*used with the "inline-block" value*/
	vertical-align: top;
	/*allows for cards to have equal height that adjust with the content*/
	min-height: 175px;
	/*measurement is based on equally dividing the parent container's width*/
	width: 30%;
	/*creates horizontal spacing between cards*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

footer {
	/*creates spaces between the tags and the footer border*/
	padding: 0.7rem;
}

footer span {
	/*creates spaces horizantally between the span tags.*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

/*
NOTES:
Every HTML element is considered as a box.

The "margin" property changes the amount of space between the "border" and its surrounding elements. This is commonly used to create space between elements.

Even though a "border" property of an element does not have a value and is not visible in the browser, it serves as a basis to create space between elements.

The "padding" property changes the amount of space between the "border" and "content" of an element. This is commonly used to position contents of an element.
*/

/*margin vs padding*/
/*margin is best used when creating space between elements.*/
/*padding is best used when creating space between an element's border and its content.*/

#pre-footer {
	padding: 5rem;
	background-color: rgb(0,37,64);
	color: white;
}

.pre-footer-div {
	/*allows the cards to appear beside each other*/
	display: inline-block;
	/*aligns elements with the tallest element in line*/
	/*used with the "inline-block" value*/
	vertical-align: bottom;
	/*measurement is based on equally dividing the parent container's width*/
	width: 22%;
	/*creates horizontal spacing between cards*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;

	line-height: 1.8rem;
}

h3 {
	padding-bottom: 2rem;
}


